Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1159874 (lxqt-policykit) - Review Request: lxqt-policykit - PolicyKit agent for LXQt desktop suite
Summary: Review Request: lxqt-policykit - PolicyKit agent for LXQt desktop suite
Keywords:
Status: CLOSED RAWHIDE
Alias: lxqt-policykit
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1157402
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-03 14:07 UTC by Helio Chissini de Castro
Modified: 2015-11-12 01:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-20 13:20:40 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1220159 None None None Never

Internal Links: 1220159

Description Helio Chissini de Castro 2014-11-03 14:07:56 UTC
Spec URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-policykit.spec
SRPM URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-policykit-0.8.0-2.fc21.src.rpm
Description: PolicyKit agent for LXQt desktop suite
Fedora Account System Username: heliocastro

Comment 1 Rex Dieter 2014-11-07 17:09:39 UTC
naming: ok

license: ok, though all source files are LGPL (v2.1 or later) , so you could up to
License: LGPLv2+

sources: ok
c35c7f466e79142d6ee83e234a517f35  lxqt-policykit-0.8.0.tar.xz

macros: ok

scriptlets: ok, n/a

1. SHOULD document need for
export CMAKE_PREFIX_PATH=%{_libdir}/cmake/PolkitQt5-1
(seems to build ok without it for me)

2.  Ideally, this package probably SHOULD:
* include an autostart .desktop file, and...
* move the binary to %{_libexecdir} as other policykit agents work
but we can deal with that post-review (in collaboration with upstream).

Otherwise, pkg is small, clean, simple.


APPROVED.

Comment 3 Rex Dieter 2014-11-10 17:52:18 UTC
don't want/need %config here:

%config(noreplace) %{_sysconfdir}/xdg/autostart

otherwise, still looks good.

Comment 4 Helio Chissini de Castro 2014-11-12 15:13:38 UTC
New Package SCM Request
=======================
Package Name: lxqt-policykit
Short Description: PolicyKit agent for LXQt desktop suite
Upstream URL: http://lxqt.org
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC: heliocastro

Comment 5 Gwyn Ciesla 2014-11-13 19:43:55 UTC
Git done (by process-git-requests).

Comment 6 Rex Dieter 2014-11-20 13:20:40 UTC
imported

Comment 7 Raphael Groner 2015-05-10 14:40:09 UTC
It seems the policykit agent was forgotten to test if it starts automatically in an user session and at login, see bug#1220159.


Note You need to log in before you can comment on or make changes to this bug.